package com.ruoyi.frequency.workstype.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.page.PageResult;
import com.ruoyi.controller.req.StorePageReq;
import com.ruoyi.controller.resp.StorePageResp;
import com.ruoyi.frequency.workstype.entity.WorksType;
import com.ruoyi.response.ResponseData;
import com.ruoyi.vo.UserVo;

import java.util.List;

/**
 * 作品类型Service接口
 * 
 * @author zj
 * @date 2023-09-22
 */
public interface WorksTypeService extends IService<WorksType>
{
    /**
     * 查询作品类型
     * 
     * @param id 作品类型主键
     * @return 作品类型
     */
    public WorksType selectWorksTypeById(Long id);

    /**
     * 查询作品类型列表
     * 
     * @param worksType 作品类型
     * @return 作品类型集合
     */
    public List<WorksType> selectWorksTypeList(WorksType worksType);

    /**
     * 新增作品类型
     * 
     * @param worksType 作品类型
     * @return 结果
     */
    public int insertWorksType(WorksType worksType);

    /**
     * 修改作品类型
     * 
     * @param worksType 作品类型
     * @return 结果
     */
    public int updateWorksType(WorksType worksType);

    /**
     * 批量删除作品类型
     * 
     * @param ids 需要删除的作品类型主键集合
     * @return 结果
     */
    public int deleteWorksTypeByIds(Long[] ids, Integer delFlag);

    /**
     * 删除作品类型信息
     * 
     * @param id 作品类型主键
     * @return 结果
     */
    public int deleteWorksTypeById(Long id);



    /**
     * 二级分类
     * @return
     */
    AjaxResult twoLevelList();


    List<WorksType> worksTypeList();

    /**
     * 根据分类id 查询 3级分类ids
     * @param typeId
     * @return
     */
    List<Long> getIdsByTypeId(Long typeId);


    /**
     * 表现师(技术)列表
     * @param req
     * @param userVo
     * @return
     */
    ResponseData<PageResult<Page<StorePageResp>>> storePage(StorePageReq req, UserVo userVo);
}
